<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:util="http://www.springframework.org/schema/util"
       xsi:schemaLocation="
http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-2.5.xsd">

<!-- プレゼンテーション層のBean定義 -->
<!--
  コントローラや相関入力チェッククラスのBean定義などを記述する。
  プレゼンテーション層共通のBean定義はblank-servlet.xmlに記述する。 
-->

<!-- ======================================== コントローラ定義 -->

  <!-- 2.3 単純なロジック xml-BLogic-castor 定義 -->
  <bean name="/simpleController"
        parent="blogicXmlRequestCastorViewController" scope="prototype">
        <property name="blogic" ref="simpleService" />
  </bean>

  <!-- 2.4 データベースアクセス xml-BLogic-castor 定義 -->
  <bean name="/dbAccessController"
        parent="blogicXmlRequestCastorViewController" scope="prototype">
        <property name="blogic" ref="dbAccessService" />
        <property name="validator" ref="ageValidator"/>
  </bean>

</beans>